| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params Struct Reference

Host-constructable parameters structure.

`#include <linear_combination_relu.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (ElementCompute alpha, ElementCompute beta, ElementCompute threshold=ElementCompute(0))
CUTLASS_HOST_DEVICE | Params (ElementCompute const *alpha_ptr, ElementCompute const *beta_ptr, ElementCompute threshold=ElementCompute(0))

## Public Attributes
ElementCompute | alpha
| scales accumulators More...
ElementCompute | beta
| scales source tensor More...
ElementCompute | threshold
| Relu threshold. More...
ElementCompute const * | alpha_ptr
| pointer to accumulator scalar - if not null, loads it from memory More...
ElementCompute const * | beta_ptr
| pointer to source scalar - if not null, loads it from memory More...

## Constructor & Destructor Documentation

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

CUTLASS_HOST_DEVICE cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::Params | ( |  | ) |
| inline

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

CUTLASS_HOST_DEVICE cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::Params | ( | ElementCompute | alpha,
|  | ElementCompute | beta,
|  | ElementCompute | threshold = `ElementCompute(0)`
| ) |  |
| inline

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

CUTLASS_HOST_DEVICE cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::Params | ( | ElementCompute const * | alpha_ptr,
|  | ElementCompute const * | beta_ptr,
|  | ElementCompute | threshold = `ElementCompute(0)`
| ) |  |
| inline

## Member Data Documentation

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

ElementCompute cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::alpha

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

ElementCompute const* cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::alpha_ptr

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

ElementCompute cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::beta

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

ElementCompute const* cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::beta_ptr

template<typename ElementOutput_ , int Count, typename ElementAccumulator_ = ElementOutput_, typename ElementCompute_ = ElementOutput_, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

ElementCompute cutlass::epilogue::thread::LinearCombinationRelu< ElementOutput_, Count, ElementAccumulator_, ElementCompute_, Round >::Params::threshold

The documentation for this struct was generated from the following file:

- linear_combination_relu.h